> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get aggregated bookkeeping category groups

> Get a list of aggregated bookkeeping category groups.



## OpenAPI

````yaml get /v1/bookkeeping-category-aggregations
openapi: 3.0.1
info:
  title: Chart of Accounts API
  description: Bookkeeping Core OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team.actina@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 24.13.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: BookkeepingCore
    description: This resource is associated with the BookkeepingCore API
  - name: Accounts
    description: >
      This API enables you to create an account in Pleo, search for an account
      by its ID, update details of an account recorded in Pleo, delete an
      account from Pleo, or apply specific filters to retrieve a list of
      accounts managed in Pleo.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Category Aggregations
    description: >-
      This API enables you to read aggregated bookkeeping category groups.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Aggregated Contra Accounts
    description: >-
      This API enables you to read aggregated contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Categories
    description: >
      This API enables you to perform operations on a bookkeeping category.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Category Groups
    description: >-
      This API enables you to perform operations on a bookkeeping category
      group.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Contra Accounts
    description: >
      This API enables you to manage contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes..
  - name: Bookkeeping Preferences Resource
paths:
  /v1/bookkeeping-category-aggregations:
    get:
      tags:
        - Bookkeeping Category Aggregations
      summary: Get aggregated bookkeeping category groups
      description: Get a list of aggregated bookkeeping category groups.
      operationId: getAggregatedBookkeepingCategoryGroupsV1
      parameters:
        - name: company_id
          in: query
          description: The company ID
          required: true
          style: form
          explode: true
          schema:
            type: string
            format: uuid
          example: 123e4567-e89b-12d3-a456-426614174001
        - name: archived
          in: query
          description: Filter by archived status
          required: false
          style: form
          explode: true
          schema:
            type: boolean
          example: false
        - name: include_archived_categories
          in: query
          description: Whether to include archived bookkeeping categories
          required: false
          style: form
          explode: true
          schema:
            type: boolean
          example: false
      responses:
        '200':
          description: Aggregated bookkeeping category groups retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponseListAggregatedBookkeepingCategoryGroupRestModelV1
              example:
                data:
                  - archived: false
                    categories:
                      - account:
                          archived: false
                          code: EX123
                          externalId: EXT127
                          id: 123e4567-e89b-12d3-a456-426614174004
                          name: Example Account
                          taxCodeExternalId: MY_TAX
                        archived: false
                        id: 123e4567-e89b-12d3-a456-426614174002
                        name: Example Category
                        taxCodeId: 123e4567-e89b-12d3-a456-426614174003
                    companyId: 123e4567-e89b-12d3-a456-426614174001
                    id: 123e4567-e89b-12d3-a456-426614174000
                    name: Example Category Group
                    type: OTHER
components:
  schemas:
    DataResponseListAggregatedBookkeepingCategoryGroupRestModelV1:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AggregatedBookkeepingCategoryGroupRestModelV1'
    AggregatedBookkeepingCategoryGroupRestModelV1:
      required:
        - archived
        - categories
        - companyId
        - id
        - name
        - type
      type: object
      properties:
        archived:
          type: boolean
          description: >-
            Boolean flag used to determine if the bookkeeping category group is
            archived.
        categories:
          type: array
          description: >-
            List of all bookkeeping categories in the bookkeeping category
            group.
          items:
            $ref: >-
              #/components/schemas/AggregatedBookkeepingCategoryGroupCategoryRestModelV1
        companyId:
          type: string
          description: >-
            Pleo's internal identifier of the company the bookkeeping category
            group is associated with.
          format: uuid
        id:
          type: string
          description: Pleo's internal identifier of the bookkeeping category group.
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          type: string
          description: Name of the bookkeeping category group.
        type:
          type: string
          description: >-
            This can be one of AggregatedBookkeepingCategoryGroupTypeRestModelV1
            values
          example: ENTERTAINMENT
    AggregatedBookkeepingCategoryGroupCategoryRestModelV1:
      required:
        - archived
        - id
        - name
      type: object
      properties:
        account:
          $ref: >-
            #/components/schemas/AggregatedBookkeepingCategoryGroupCategoryAccountRestModelV1
        archived:
          type: boolean
          description: >-
            Boolean flag used to determine if the bookkeeping category is
            archived.
        id:
          type: string
          description: Pleo's internal identifier of the bookkeeping category.
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          type: string
          description: Name of the bookkeeping category.
        taxCodeId:
          type: string
          description: The tax code the bookkeeping category is associated with.
          format: uuid
          nullable: true
      description: List of all bookkeeping categories in the bookkeeping category group.
    AggregatedBookkeepingCategoryGroupCategoryAccountRestModelV1:
      required:
        - archived
        - externalId
        - id
        - name
      type: object
      properties:
        archived:
          type: boolean
          description: >-
            Boolean flag used to determine if the bookkeeping account is
            archived.
        code:
          type: string
          description: >-
            Account code or number used in the accounting system's chart of
            accounts.
          nullable: true
        externalId:
          type: string
          description: |2-

                        Unique external identifier for the bookkeeping account.
                        Can be the same as code if no other identifier is available.
                    
        id:
          type: string
          description: Pleo's internal identifier of the bookkeeping account.
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          type: string
          description: Name of the bookkeeping account.
        taxCodeExternalId:
          type: string
          description: >-
            The identifier in **the target system** for the tax code the
            bookkeeping account is associated with.
          nullable: true
      description: The bookkeeping account the bookkeeping category is associated with.
      nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````